<html>
<head>
	<title>database query</title>
	<style>
	<!--
	p, td {font-family: 'Verdana, Arial'; font-size: 11pt}
	td.kop {color: 'red'; font-size: 14pt}
	p.kop {color: 'red'; font-size: 20pt}
	-->
	</style>
</head>
<body>
<?php
//maak connectie
$db = mysql_connect("localhost", "leerphp", "bla!vux6")
        or die("Kan niet verbinden: " . mysql_error());
mysql_select_db("leerphp", $db);

//definieer query
$sql = "SELECT * 
FROM Artikel
WHERE MATCH (
Naam, Omschrijving
)
AGAINST (
'+mysql -masterclass'
IN BOOLEAN
MODE 
)
";

$resultaat = mysql_query($sql) or die("Kan de query niet uitvoeren!");

echo "<p>De volgende query wordt uitgevoerd:</p>";
echo "<p class=\"kop\">".nl2br($sql)."</p>";

// zet de velden bovenaan de tabel
$aantal = mysql_num_fields($resultaat);
echo "<table border=\"1\"><tr>";
for ($nr=0; $nr < $aantal; $nr++) {

	$veldnaam = strtolower(mysql_field_name($resultaat, $nr));
	echo "<td class=\"kop\">$veldnaam</td>";

}
echo "</tr>";
$rijen = mysql_num_rows($resultaat);
if ($rijen > 0) {
	for ($nr=0; $nr < $rijen; $nr++) {
		echo "<tr>";
		for ($velden=0; $velden < $aantal; $velden++) {
			$waarde = mysql_result($resultaat, $nr, $velden);
			if (!$waarde) {
				$waarde = "&nbsp;";
			}
			echo "<td>$waarde</td>";
		}
		echo "</tr>";
	}
}
echo "</table>";
?>
</body>
</html>